Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.runtime
Interface TradingPartnerMgmtRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface TradingPartnerMgmtRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Method Summary
`int` | `getServiceCount()` Gets service count.
`int` | `getServiceCountByServiceType(int serviceType)` Gets service count by service type.
`int` | `getServiceProfileCount()` Gets service profile count.
`int` | `getServiceProfileCountByService(String serviceName)` Gets service profile count by service.
`int` | `getServiceProfileCountByServiceAndStatus(String serviceName, int status)` Gets service profile count by service and status.
`int` | `getServiceProfileCountByStatus(int status)` Gets service profile count by status.
`int` | `getTradingPartnerCount()` Gets partner count.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTradingPartnerCount

    public int getTradingPartnerCount()
                               throws TradingPartnerMgmtRuntimeException

  Gets partner count.

  Returns:
    total partners in the TPM repository
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceCount

    public int getServiceCount()
                        throws TradingPartnerMgmtRuntimeException

  Gets service count.

  Returns:
    total services in the TPM repository
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceCountByServiceType

    public int getServiceCountByServiceType(int serviceType)
                                     throws TradingPartnerMgmtRuntimeException

  Gets service count by service type.

  Returns:
    total services belonging to the specified service type
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceProfileCount

    public int getServiceProfileCount()
                               throws TradingPartnerMgmtRuntimeException

  Gets service profile count.

  Returns:
    total service profiles in the TPM repository
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceProfileCountByStatus

    public int getServiceProfileCountByStatus(int status)
                                       throws TradingPartnerMgmtRuntimeException

  Gets service profile count by status.

  Returns:
    total service profiles with the specified status
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceProfileCountByService

    public int getServiceProfileCountByService(String serviceName)
                                        throws TradingPartnerMgmtRuntimeException

  Gets service profile count by service.

  Returns:
    total service profiles belonging to the specified service
  Throws:
    `TradingPartnerMgmtRuntimeException`

### getServiceProfileCountByServiceAndStatus

    public int getServiceProfileCountByServiceAndStatus(String serviceName,
                                                        int status)
                                                 throws TradingPartnerMgmtRuntimeException

  Gets service profile count by service and status.

  Returns:
    total service profiles with the specified status and belonging to the specified service
  Throws:
    `TradingPartnerMgmtRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD